petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetOrder

Sets the line search damping paramter.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetOrder(SNESLineSearch linesearch,PetscInt order)

### Input Parameters

linesearch -linesearch context Many br
order -The damping parameter Many br

Many br

### Possible Values for order

| 1 or SNES_LINESEARCH_ORDER_LINEAR | - linear order Many br
| 2 or SNES_LINESEARCH_ORDER_QUADRATIC | - quadratic order Many br
| 3 or SNES_LINESEARCH_ORDER_CUBIC | - cubic order Many br

### Notes

### Variable orders are supported by the following line searches

| bt | - cubic and quadratic Many br
| cp | - linear and quadratic Many br

### See Also

SNESLineSearchGetOrder()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages